Page MenuHomePhabricator

Move TrustedXFF away from CDB to static PHP array
Closed, ResolvedPublic

Description

Like most other CDB usages, TrustedXFF should have the option of using a static array in a PHP file instead of CDB.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSwap to using static php array for TrustedXFF usage
mediawiki/extensions/TrustedXFF : masterSupport reading/writing data to/from a static PHP array

Event Timeline

Reedy created this task.Jul 22 2016, 4:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 4:35 PM
ori renamed this task from Move TrustedXFF away from CDB to json file to Move TrustedXFF away from CDB to static PHP array.Jul 22 2016, 5:51 PM
ori updated the task description. (Show Details)

Change 300587 had a related patch set uploaded (by Ori.livneh):
Support reading/writing data to/from a static PHP array

https://gerrit.wikimedia.org/r/300587

Reedy assigned this task to ori.Jul 25 2016, 10:26 PM
Reedy triaged this task as Medium priority.

Change 301016 had a related patch set uploaded (by Reedy):
Swap to using static php array for TrustedXFF usage

https://gerrit.wikimedia.org/r/301016

Change 300587 merged by jenkins-bot:
Support reading/writing data to/from a static PHP array

https://gerrit.wikimedia.org/r/300587

Reedy closed this task as Resolved.Aug 6 2016, 11:03 PM

Done, needs config update when rebuilt

Change 301016 abandoned by Reedy:
Swap to using static php array for TrustedXFF usage

https://gerrit.wikimedia.org/r/301016